.__all-wrap {
  word-wrap: break-word;
  word-break: break-all;
  overflow-wrap: break-word;
  -moz-hyphens: auto;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
}

.__no-wrap {
  white-space: nowrap;
}

.__hide-shadow {
  position: relative;
  overflow: hidden;

  &:after {
    content: '';
    position: absolute;
    right: 0;
    bottom: 0;
    display: block;
    width: 3.5rem;
    height: 100%;
    background-image: linear-gradient(to left, var(--bg-main) 18%, var(--bg-transparent));
  }

  .link {
    position: relative;

    .svg {
      margin-left: .25rem;
      z-index: 1;

      &.absolute {
        position: absolute;
        right: .25rem;
      }
    }
  }
}

.circle-separator {
  &:before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: var(--color-main-grey);
  }
}

.dot {
  flex-shrink: 1;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: .25rem;
  height: .25rem;
  margin: auto .5rem;
}

.counter {
  display: inline-block;
  vertical-align: middle;
  padding: 0 0.3125rem;
  height: 0.8125rem;
  color: var(--color-main);
  font-size: 0.625rem;
  line-height: 0.6875rem;
  font-weight: var(--font-weight-bold);
  background-color: var(--btn-bg);
  // box-shadow: 1px 1px 0 rgba(0, 0, 0, 0.2);
  border-radius: 3rem;
  border: 1px solid var(--btn-bg);

  &._no-color {
    color: var(--link-color);
    background-color: var(--bg-lighten);
  }
}

.content {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;

  // background-image: url("~assets/images/001.jpg");
  background-position: top center;
  background-repeat: no-repeat;

  @media (--viewport-medium) {
    // background-image: url("~assets/images/002.jpg");
  }
}

.container {
  min-width: 320px;
  padding-left: 3.375rem;
  padding-right: 3.375rem;
}

.wrap-inherit {
  position: inherit;
  display: inherit;
  flex-direction: inherit;
  flex-wrap: inherit;
  align-items: inherit;
  justify-content: inherit;
  flex-shrink: inherit;
  flex-grow: inherit;
  margin: 0;
  padding: 0;
  width: inherit;
  height: inherit;
  min-height: inherit;
  max-height: inherit;
}

.__fluid {
  width: 100%;
  max-width: 100%;
}

.__fluid-mobile {
  @media (--viewport-mobile) {
    width: 100%;
  }
}

.row {
  display: flex;
  align-items: center;
}

.__align-top {
  align-items: flex-start;
}

.__space-between {
  justify-content: space-between;
}

.__text-align-right {
  text-align: right;
}

.__text-align-center {
  text-align: center;
}

@media screen and (min-width: 981px) and (max-width: 1200px) {
  .container {
    padding-left: 2.75rem;
    padding-right: 2.75rem;
  }
}

@media screen and (max-width: 980px) {
  .container {
    padding-left: 1.25rem;
    padding-right: 1.25rem;
  }

  .__hide-shadow:after {
    width: 4.5rem;
    height: 1.5em;
    background-image: linear-gradient(to left, var(--bg-main) 1.25rem, var(--bg-transparent));
  }
}
